import { ElementRef } from "@angular/core";
import { DomSanitizer } from "@angular/platform-browser";
import * as i0 from "@angular/core";
export interface CustomCodeProps {
    code: string;
    replaceNodes?: boolean;
}
export default class CustomCode {
    protected sanitizer: DomSanitizer;
    code: CustomCodeProps["code"];
    replaceNodes: CustomCodeProps["replaceNodes"];
    elementRef: ElementRef;
    scriptsInserted: any[];
    scriptsRun: any[];
    runScripts(): void;
    node_0_div: any;
    constructor(sanitizer: DomSanitizer);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomCode, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomCode, "custom-code", never, { "code": { "alias": "code"; "required": false; }; "replaceNodes": { "alias": "replaceNodes"; "required": false; }; }, {}, never, never, true, never>;
}
